# $Revision: 1.7 $, $Date: 2005/03/12 12:32:37 $

%define	module	db_row

Summary:	Database abstraction layer
Summary(pl):	Warstwa abstrakcji baz danych
Name:		python-%{module}
Version:	0.8
Release:	1
License:	distributable
Group:		Development/Languages/Python
Source0:	http://opensource.theopalgroup.com/files/%{module}-%{version}.tgz
# Source0-md5:	8a264dde00752bef9a5751c5382269c8
URL:		http://opensource.theopalgroup.com/
Patch0:		%{name}-setup.patch
%pyrequires_eq  python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The db_row module defines light-weight objects suitable for
many applications, though the primary goal of the
implementer is for storage of database query results.

%description -l pl
Modu db_row definiuje zestaw lekkich obiektw odpowiednich
dla wielu aplikacji, jednak gwnym zamierzeniem jest
przechowywanie wynikw zapyta do baz danych.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-db_row.spec,v $
Revision 1.7  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.6  2004/12/25 17:55:32  qboosh
- cleanups

Revision 1.5  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.4  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.3  2004/07/26 18:15:29  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.2  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.1  2004/05/23 12:28:44  leafnode
- import

